package com.qmth.themis.business.annotation;

import com.qmth.themis.business.enums.LogEnum;

import java.lang.annotation.*;

/**
 * @Description: 日志注解
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2023/2/27
 */
@Documented
@Target({ElementType.METHOD, ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
public @interface Logs {

    LogEnum value() default LogEnum.JOB;
}
