package com.qmth.themis.business.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.themis.business.entity.TIeExamInvigilateNotice;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Description: 监考通知消息记录 Mapper 接口
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/25
 */
@Mapper
public interface TIeExamInvigilateNoticeMapper extends BaseMapper<TIeExamInvigilateNotice> {

    /**
     * 根据考试记录id查询文本和语音消息
     *
     * @param examRecordId
     * @return
     */
    List<TIeExamInvigilateNotice> queryNoticeByExamRecordId(@Param("examRecordId") Long examRecordId);
}
