package com.qmth.themis.business.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.themis.business.entity.TIeExamMediaLog;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 多媒体日志表 Mapper 接口
 * </p>
 *
 * @author wangliang
 * @since 2023-10-26
 */
public interface TIeExamMediaLogMapper extends BaseMapper<TIeExamMediaLog> {

    /**
     * 根据考试记录id查询多媒体消息
     *
     * @param examRecordId
     * @return
     */
    List<TIeExamMediaLog> queryMediaByExamRecordId(@Param("examRecordId") Long examRecordId);
}
