package com.qmth.themis.business.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.themis.business.entity.TMTencentVideoMessage;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 腾讯云视频回调消息 Mapper 接口
 * </p>
 *
 * @author wangliang
 * @since 2022-03-29
 */
public interface TMTencentVideoMessageMapper extends BaseMapper<TMTencentVideoMessage> {

    /**
     * 根据考试批次id查询视频信息
     *
     * @param examId
     * @return
     */
    public List<TMTencentVideoMessage> videoQuery(@Param("examId") Long examId);
}
