package com.qmth.themis.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.themis.business.entity.TEExamBreachLog;

import java.util.Map;

/**
 * @Description: 考生违纪处理 服务类
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/25
 */
public interface TEExamBreachLogService extends IService<TEExamBreachLog> {

    /**
     * 违纪处理接口
     *
     * @param mapParameter
     */
    public void breachLogic(Map<String, Object> mapParameter);

    /**
     * 撤销违纪接口
     *
     * @param mapParameter
     */
    public void updateBreachStatus(Map<String, Object> mapParameter);
}
