package com.qmth.themis.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.themis.business.entity.TMTencentVideoMessage;

import java.util.List;

/**
 * <p>
 * 腾讯云视频回调消息 服务类
 * </p>
 *
 * @author wangliang
 * @since 2022-03-29
 */
public interface TMTencentVideoMessageService extends IService<TMTencentVideoMessage> {

    /**
     * 保存视频
     *
     * @param tencentVideoMessage
     */
    public void saveAndCount(TMTencentVideoMessage tencentVideoMessage);

    /**
     * 根据考试批次id查询视频信息
     *
     * @param examId
     * @return
     */
    public List<TMTencentVideoMessage> videoQuery(Long examId);
}
