package com.qmth.themis.business.bean.admin;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;
import java.util.Set;

/**
 * @Description: 当天考试集合
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2023/10/27
 */
public class ExamActivityTodayBean implements Serializable {

    @ApiModelProperty(name = "场次id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long examActivityId;

    @ApiModelProperty(name = "考场编码集合")
    private Set<String> roomCodeList;

    public ExamActivityTodayBean() {

    }

    public ExamActivityTodayBean(Long examActivityId, Set<String> roomCodeList) {
        this.examActivityId = examActivityId;
        this.roomCodeList = roomCodeList;
    }

    public Long getExamActivityId() {
        return examActivityId;
    }

    public void setExamActivityId(Long examActivityId) {
        this.examActivityId = examActivityId;
    }

    public Set<String> getRoomCodeList() {
        return roomCodeList;
    }

    public void setRoomCodeList(Set<String> roomCodeList) {
        this.roomCodeList = roomCodeList;
    }
}
