package com.qmth.themis.business.bean.admin;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Set;

/**
 * @Description: 考试列表集合
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2023/10/27
 */
public class ExamListBean implements Serializable {

    @ApiModelProperty(name = "考试批次id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long examId;

    @ApiModelProperty(name = "考场场次集合")
    @JsonSerialize(using = ToStringSerializer.class)
    private Set<Long> examActivityIdSet;

    public ExamListBean() {

    }

    public ExamListBean(Long examId, Set<Long> examActivityIdSet) {
        this.examId = examId;
        this.examActivityIdSet = examActivityIdSet;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Set<Long> getExamActivityIdSet() {
        return examActivityIdSet;
    }

    public void setExamActivityIdSet(Set<Long> examActivityIdSet) {
        this.examActivityIdSet = examActivityIdSet;
    }
}
