package com.qmth.themis.business.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qmth.themis.business.dto.response.SysConfigBean;
import com.qmth.themis.business.entity.SysConfig;
import org.apache.ibatis.annotations.Mapper;

import java.util.Map;

/**
 * @Description: 系统参数 Mapper 接口
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/25
 */
@Mapper
public interface SysConfigMapper extends BaseMapper<SysConfig> {

    /**
     * 系统配置分页查询
     *
     * @param iPage
     * @return
     */
    public IPage<SysConfigBean> select(IPage<Map> iPage);
}
