package com.qmth.themis.business.dto.response;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.themis.business.bean.exam.VersionBean;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Description: 机构 bean
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/8/3
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class TBOrgDownloadBean extends TBOrgBean {

    @ApiModelProperty(name = "版本号")
    private VersionBean version;

    public VersionBean getVersion() {
        return version;
    }

    public void setVersion(VersionBean version) {
        this.version = version;
    }
}
