package com.qmth.themis.business.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * 地区统计表
 * </p>
 *
 * @author wangliang
 * @since 2023-10-27
 */
@ApiModel(value = "TERegionSummary对象", description = "地区统计表")
public class TERegionSummary implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "国家")
    private String country;

    @ApiModelProperty(value = "省份")
    private String province;

    @ApiModelProperty(value = "在线人数")
    private Integer onlineCount;

    public String getCountry() {
        return country;
    }

    public void setCountry(String country) {
        this.country = country;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public Integer getOnlineCount() {
        return onlineCount;
    }

    public void setOnlineCount(Integer onlineCount) {
        this.onlineCount = onlineCount;
    }
}
