package com.qmth.themis.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.themis.business.dto.response.SysConfigBean;
import com.qmth.themis.business.entity.SysConfig;
import com.qmth.themis.business.entity.TSNotify;

import java.util.List;
import java.util.Map;

/**
 * @Description: 系统参数 服务类
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/25
 */
public interface SysConfigService extends IService<SysConfig> {

    /**
     * 查询所有系统配置项
     *
     * @return
     */
    List<SysConfig> selectAll();

    /**
     * 系统配置分页查询
     *
     * @param iPage
     * @return
     */
    public IPage<SysConfigBean> select(IPage<Map> iPage);
}
