package com.qmth.themis.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.themis.business.entity.TEExamSummary;

import java.util.Set;

/**
 * <p>
 * 考试信息统计表 服务类
 * </p>
 *
 * @author wangliang
 * @since 2023-10-27
 */
public interface TEExamSummaryService extends IService<TEExamSummary> {

    /**
     * 统计考试信息
     *
     * @param examId
     * @param examActivityId
     * @param roomCodeSet
     */
    void examSummary(Long examId, Long examActivityId, Set<String> roomCodeSet);
}
