package com.qmth.themis.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.themis.business.entity.TIeExamInvigilateNotice;

import java.util.List;

/**
 * @Description: 监考通知消息记录 服务类
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/25
 */
public interface TIeExamInvigilateNoticeService extends IService<TIeExamInvigilateNotice> {

    /**
     * 根据考试记录id查询文本和语音消息
     *
     * @param examRecordId
     * @return
     */
    List<TIeExamInvigilateNotice> queryNoticeByExamRecordId(Long examRecordId);
}
