package com.qmth.themis.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.themis.business.entity.TIeExamInvigilateNotice;
import com.qmth.themis.business.entity.TIeExamMediaLog;

import java.util.List;

/**
 * <p>
 * 多媒体日志表 服务类
 * </p>
 *
 * @author wangliang
 * @since 2023-10-26
 */
public interface TIeExamMediaLogService extends IService<TIeExamMediaLog> {

    /**
     * 根据考试记录id查询多媒体消息
     *
     * @param examRecordId
     * @return
     */
    List<TIeExamMediaLog> queryMediaByExamRecordId(Long examRecordId);
}
