package com.qmth.themis.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.themis.business.entity.TSyncExamStudentScore;

import java.util.List;
import java.util.Set;

/**
 * <p>
 * 同步云阅卷考生成绩表 服务类
 * </p>
 *
 * @author wangliang
 * @since 2022-07-14
 */
public interface TSyncExamStudentScoreService extends IService<TSyncExamStudentScore> {

    /**
     * 根据考试ids查找
     *
     * @param examRecordIds
     * @return
     */
    public List<TSyncExamStudentScore> findByExamRecordIds(Set<String> examRecordIds);
}
