package com.qmth.themis.business.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.themis.business.dao.TIeExamInvigilateNoticeMapper;
import com.qmth.themis.business.entity.TIeExamInvigilateNotice;
import com.qmth.themis.business.service.TIeExamInvigilateNoticeService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Description: 监考通知消息记录 服务实现类
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/25
 */
@Service
public class TIeExamInvigilateNoticeServiceImpl extends ServiceImpl<TIeExamInvigilateNoticeMapper, TIeExamInvigilateNotice> implements TIeExamInvigilateNoticeService {

    /**
     * 根据考试记录id查询文本和语音消息
     *
     * @param examRecordId
     * @return
     */
    @Override
    public List<TIeExamInvigilateNotice> queryNoticeByExamRecordId(Long examRecordId) {
        return this.baseMapper.queryNoticeByExamRecordId(examRecordId);
    }
}
