package com.qmth.themis.business.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.themis.business.dao.TIeExamMediaLogMapper;
import com.qmth.themis.business.entity.TIeExamMediaLog;
import com.qmth.themis.business.service.TIeExamMediaLogService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 多媒体日志表 服务实现类
 * </p>
 *
 * @author wangliang
 * @since 2023-10-26
 */
@Service
public class TIeExamMediaLogServiceImpl extends ServiceImpl<TIeExamMediaLogMapper, TIeExamMediaLog> implements TIeExamMediaLogService {

    /**
     * 根据考试记录id查询多媒体消息
     *
     * @param examRecordId
     * @return
     */
    @Override
    public List<TIeExamMediaLog> queryMediaByExamRecordId(Long examRecordId) {
        return this.baseMapper.queryMediaByExamRecordId(examRecordId);
    }
}
