package com.qmth.themis.business.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.metadata.OrderItem;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.themis.business.bean.admin.OpenExamBean;
import com.qmth.themis.business.dao.TSBlackListMapper;
import com.qmth.themis.business.entity.TSBlackList;
import com.qmth.themis.business.service.TSBlackListService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Map;

/**
 * <p>
 * 黑名单表 服务实现类
 * </p>
 *
 * @author wangliang
 * @since 2023-01-31
 */
@Service
public class TSBlackListServiceImpl extends ServiceImpl<TSBlackListMapper, TSBlackList> implements TSBlackListService {

    @Resource
    TSBlackListMapper tsBlackListMapper;

    /**
     * 黑名单分页查询
     *
     * @param iPage
     * @return
     */
    @Override
    public IPage<TSBlackList> select(IPage<Map> iPage) {
        return tsBlackListMapper.select(iPage);
    }
}
