package com.qmth.themis.business.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.themis.business.dao.TSNotifyMapper;
import com.qmth.themis.business.entity.TSNotify;
import com.qmth.themis.business.service.TSNotifyService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Map;

/**
 * <p>
 * 系统通知表 服务实现类
 * </p>
 *
 * @author wangliang
 * @since 2023-02-01
 */
@Service
public class TSNotifyServiceImpl extends ServiceImpl<TSNotifyMapper, TSNotify> implements TSNotifyService {

    @Resource
    TSNotifyMapper tsNotifyMapper;

    /**
     * 系统通知分页查询
     *
     * @param iPage
     * @return
     */
    @Override
    public IPage<TSNotify> select(IPage<Map> iPage) {
        return tsNotifyMapper.select(iPage);
    }
}
